org.apache.felix.bundlerepository.impl.wrapper

## Class ResourceWrapper

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.wrapper.ResourceWrapper

All Implemented Interfaces:
  org.osgi.service.obr.Resource

    public class ResourceWrapper
    extends java.lang.Object
    implements org.osgi.service.obr.Resource

### Field Summary

### Fields inherited from interface org.osgi.service.obr.Resource

`COPYRIGHT, DESCRIPTION, DOCUMENTATION_URL, ID, KEYS, LICENSE_URL, PRESENTATION_NAME, SIZE, SOURCE_URL, SYMBOLIC_NAME, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`ResourceWrapper(Resource resource)`

### Method Summary

Methods
`org.osgi.service.obr.Capability[]` `getCapabilities()`
`java.lang.String[]` `getCategories()`
`java.lang.String` `getId()`
`java.lang.String` `getPresentationName()`
`java.util.Map` `getProperties()`
`org.osgi.service.obr.Repository` `getRepository()`
`org.osgi.service.obr.Requirement[]` `getRequirements()`
`java.lang.String` `getSymbolicName()`
`java.net.URL` `getURL()`
`org.osgi.framework.Version` `getVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceWrapper

    public ResourceWrapper(Resource resource)

### Method Detail

#### getProperties

    public java.util.Map getProperties()

Specified by:
  `getProperties` in interface `org.osgi.service.obr.Resource`

#### getSymbolicName

    public java.lang.String getSymbolicName()

Specified by:
  `getSymbolicName` in interface `org.osgi.service.obr.Resource`

#### getPresentationName

    public java.lang.String getPresentationName()

Specified by:
  `getPresentationName` in interface `org.osgi.service.obr.Resource`

#### getVersion

    public org.osgi.framework.Version getVersion()

Specified by:
  `getVersion` in interface `org.osgi.service.obr.Resource`

#### getId

    public java.lang.String getId()

Specified by:
  `getId` in interface `org.osgi.service.obr.Resource`

#### getURL

    public java.net.URL getURL()

Specified by:
  `getURL` in interface `org.osgi.service.obr.Resource`

#### getRequirements

    public org.osgi.service.obr.Requirement[] getRequirements()

Specified by:
  `getRequirements` in interface `org.osgi.service.obr.Resource`

#### getCapabilities

    public org.osgi.service.obr.Capability[] getCapabilities()

Specified by:
  `getCapabilities` in interface `org.osgi.service.obr.Resource`

#### getCategories

    public java.lang.String[] getCategories()

Specified by:
  `getCategories` in interface `org.osgi.service.obr.Resource`

#### getRepository

    public org.osgi.service.obr.Repository getRepository()

Specified by:
  `getRepository` in interface `org.osgi.service.obr.Resource`